/*********************************************************/
/* This class controls access to any YUV dithered window */
/*                                                       */
/*         (c)1994 Alexis 'Milamber' Ashley              */
/*********************************************************/
/*
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __YUV_WINDOW__
#define __YUV_WINDOW__

#include "sub_win.H"
#include "frame.H"

class YUV_Window : public SimpleSubWindow
{
public:
  YUV_Window(UI_Globals *parent,world_c x,world_c y,unsigned int height,
	     unsigned int width, UI_Globals *class_ptr, long event_mask=0)
    : SimpleSubWindow(parent,x,y,height,width,class_ptr,event_mask)
    {
    }
  virtual ~YUV_Window(void)
    {
    }
  virtual status DisplayFrame(frame &, bool nicely=true)=0;
};

#endif

