/****************************************************************/
/*  This header file (and its associated C file) handle all the */
/*  effects for the mpeg_edit programme.                        */
/*    (c)1995 Alexis Ashley          milamber@dcs.warwick.ac.uk */
/****************************************************************/

/*
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __EFFECTS__
#define __EFFECTS__

#include "codec.H"
#include "menu.H"

Menu::status effects_blank(MainWindow *,Codec *, long start, long end);
Menu::status effects_invert(MainWindow *,Codec *, long start, long end);
Menu::status effects_supress_colour(MainWindow *,Codec *,long start,long end);
Menu::status effects_invert_colour(MainWindow *,Codec *, long start, long end);
Menu::status effects_boost_brightness(MainWindow *, Codec *, long start,
				      long end);
Menu::status effects_boost_colour(MainWindow *,Codec *, long start, long end);
Menu::status effects_gamma_correct(MainWindow *,Codec *, long start, long end);

Menu::status effects_fade_to_black(MainWindow *,Codec *, long start, long end);
Menu::status effects_fade_from_black(MainWindow *,Codec *,long start,long end);
Menu::status effects_cross_fade_in(MainWindow *,Codec *,long start,long end);
Menu::status effects_cross_fade_out(MainWindow *,Codec *,long start,long end);
Menu::status effects_rotate(MainWindow *,Codec *, long start, long end);
Menu::status effects_variable_rotate(MainWindow *,Codec *,long start,long end);
Menu::status effects_edge_trace(MainWindow *,Codec *, long start, long end);
Menu::status effects_emboss(MainWindow *,Codec *, long start, long end);
Menu::status effects_wipe(MainWindow *, Codec *, long start, long end);

#endif
